다음을 통해 공유


Stac Collection Config - Get

구성 가져오기
지정된 컬렉션에 대한 전체 사용자 구성 가져오기

GET https:///stac/collections/{collectionId}/configurations?api-version=2025-04-30-preview

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
collectionId
path True

string

maxLength: 500
pattern: .*

STAC 컬렉션의 고유 식별자입니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

응답

Name 형식 Description
200 OK

UserCollectionSettings

요청이 성공했습니다.

Other Status Codes

Azure.Core.Foundations.ErrorResponse

예기치 않은 오류 응답입니다.

헤더

x-ms-error-code: string

보안

OAuth2Auth

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
https://geocatalog.spatio.azure.com/.default

예제

StacCollectionConfig_Get

샘플 요청

GET https:///stac/collections/naip-atl/configurations?api-version=2025-04-30-preview

샘플 응답

{
  "tileSettings": {
    "minZoom": 6,
    "maxItemsPerTile": 35,
    "defaultLocation": null
  },
  "mosaicInfo": {
    "mosaics": [
      {
        "id": "default",
        "name": "Default",
        "description": "",
        "cql": []
      },
      {
        "id": "mos1",
        "name": "Most recent available",
        "description": "Most recent available imagery in this collection",
        "cql": []
      },
      {
        "id": "test-mosaic-1",
        "name": "Test Most recent available",
        "description": "Most recent available imagery in this collection - updated",
        "cql": []
      }
    ],
    "renderOptions": [
      {
        "id": "natural-color",
        "name": "Natural color",
        "description": "RGB from visual assets",
        "type": "raster-tile",
        "options": "assets=image&asset_bidx=image|1,2,3",
        "vectorOptions": null,
        "minZoom": 6,
        "legend": null,
        "conditions": null
      },
      {
        "id": "test-natural-color",
        "name": "Test Natural color updated",
        "description": "RGB from visual assets - updated",
        "type": "raster-tile",
        "options": "assets=image&asset_bidx=image|1,2,3",
        "vectorOptions": null,
        "minZoom": 6,
        "legend": null,
        "conditions": null
      }
    ],
    "defaultLocation": null,
    "defaultCustomQuery": null
  }
}

정의

Name Description
Azure.Core.Foundations.Error

오류 개체입니다.

Azure.Core.Foundations.ErrorResponse

오류 세부 정보가 포함된 응답입니다.

Azure.Core.Foundations.InnerError

오류에 대한 보다 구체적인 정보를 포함하는 개체입니다. Azure REST API 지침에 따라 - https://aka.ms/AzureRestApiGuidelines#handling-errors.

DefaultLocation

맵 시각화를 위한 기본 지리적 위치를 정의합니다.

LegendConfigType

만들 범례 유형, 다음 중 하나: continuous, classmap, interval 또는 none (참고: none 문자열 리터럴임).

RenderOption

맵에서 데이터를 렌더링하기 위한 시각화 매개변수를 정의합니다.

RenderOptionCondition

렌더링 옵션을 활성화하기 위한 조건을 정의합니다.

RenderOptionLegend

데이터 범례를 생성하기 위한 구성입니다.

RenderOptionType

지도 시각화를 위한 렌더링 옵션의 유형을 지정합니다.

RenderOptionVectorOptions

벡터 타일 렌더링을 위한 매개변수를 정의합니다.

StacMosaic

필터링 기준을 사용하여 명명된 모자이크를 정의합니다.

StacMosaicConfiguration

데이터 모자이크 시각화를 위한 구성입니다.

TileSettings

맵 타일 시각화를 위한 구성입니다.

UserCollectionSettings

시각화를 위한 사용자별 컬렉션 설정.

Azure.Core.Foundations.Error

오류 개체입니다.

Name 형식 Description
code

string

서버에서 정의한 오류 코드 집합 중 하나입니다.

details

Azure.Core.Foundations.Error[]

이 보고된 오류로 이어진 특정 오류에 대한 세부 정보 배열입니다.

innererror

Azure.Core.Foundations.InnerError

오류에 대한 현재 개체보다 더 구체적인 정보를 포함하는 개체입니다.

message

string

사람이 읽을 수 있는 오류 표현입니다.

target

string

오류의 대상입니다.

Azure.Core.Foundations.ErrorResponse

오류 세부 정보가 포함된 응답입니다.

Name 형식 Description
error

Azure.Core.Foundations.Error

오류 개체입니다.

Azure.Core.Foundations.InnerError

오류에 대한 보다 구체적인 정보를 포함하는 개체입니다. Azure REST API 지침에 따라 - https://aka.ms/AzureRestApiGuidelines#handling-errors.

Name 형식 Description
code

string

서버에서 정의한 오류 코드 집합 중 하나입니다.

innererror

Azure.Core.Foundations.InnerError

내부 오류입니다.

DefaultLocation

맵 시각화를 위한 기본 지리적 위치를 정의합니다.

Name 형식 Description
coordinates

number[] (float)

지도의 기본 중심 좌표 [위도, 경도]입니다.

zoom

integer (int32)

맵의 기본 확대/축소 수준입니다.

LegendConfigType

만들 범례 유형, 다음 중 하나: continuous, classmap, interval 또는 none (참고: none 문자열 리터럴임).

Description
continuous

연속 색상 램프 범례.

classmap

클래스에 대한 불연속 색상이 있는 분류된 맵입니다.

interval

불연속 범위가 있는 간격 기반 범례입니다.

none

전설은 없습니다.

RenderOption

맵에서 데이터를 렌더링하기 위한 시각화 매개변수를 정의합니다.

Name 형식 Default value Description
conditions

RenderOptionCondition[]

이 렌더링 옵션을 활성화하기 위해 활성 모자이크 CQL에 있어야 하는 속성/값 조건 목록입니다

description

string

내용을 설명하는 데 사용할 수 있는 렌더링 옵션에 대한 자세한 설명입니다.

id

string

minLength: 1
maxLength: 30
pattern: ^(?!\-|_)[a-zA-Z0-9_-]*(?

렌더링 옵션의 고유 식별자입니다.

legend

RenderOptionLegend

이 렌더링 옵션에 대한 범례 구성입니다.

minZoom

integer (int32)

maximum: 24
12

이 계층을 표시할 최소 확대/축소 수준입니다.

name

string

maxLength: 40

렌더링 옵션에 대한 간단한 설명 이름입니다.

options

string

TiTiler 렌더링 옵션의 URL 쿼리 문자열로 인코딩된 문자열입니다. 형식에만 raster-tile 유효합니다.

쿼리 매개변수를 참조하세요.

type

RenderOptionType

raster-tile

적용할 렌더링 유형(래스터 또는 벡터)입니다.

vectorOptions

RenderOptionVectorOptions

벡터 타일을 렌더링하기 위한 옵션입니다. 및 vt-polygon 유형에만 vt-line 유효합니다.

RenderOptionCondition

렌더링 옵션을 활성화하기 위한 조건을 정의합니다.

Name 형식 Description
property

string

활성 CQL 필터를 체크 인할 속성 이름입니다.

value

string

속성이 같아야 하는 값입니다.

RenderOptionLegend

데이터 범례를 생성하기 위한 구성입니다.

Name 형식 Description
labels

string[]

범례에 표시할 텍스트 레이블입니다.

scaleFactor

number (float)

간격 범례 레이블을 곱하는 요소입니다. 컬러맵 정의가 스케일되지 않은 값에 매핑되어 범례 레이블을 스케일된 값으로 효과적으로 표시하는 스케일된 래스터에 유용합니다.

trimEnd

integer (int32)

범례의 끝에서 자를 항목의 수입니다.

trimStart

integer (int32)

범례 정의의 시작부터 자를 항목의 수입니다. 범례에서 바람직하지 않은 렌더링에 중요한 값(예: nodata)이 있는 경우 사용됩니다.

type

LegendConfigType

만들 범례 유형, 다음 중 하나: continuous, classmap, interval 또는 none (참고: none 문자열 리터럴임).

RenderOptionType

지도 시각화를 위한 렌더링 옵션의 유형을 지정합니다.

Description
raster-tile

래스터 타일 렌더링 유형.

vt-polygon

벡터 타일 폴리곤 렌더링 유형.

vt-line

벡터 타일 라인 렌더링 유형.

RenderOptionVectorOptions

벡터 타일 렌더링을 위한 매개변수를 정의합니다.

Name 형식 Description
fillColor

string

폴리곤 피처의 채우기 색상.

filter

string[]

MapBox GL 필터 표현식을 사용하여 피쳐를 필터링할 수 있습니다.

sourceLayer

string

벡터 타일에 있는 원본 레이어의 이름입니다.

strokeColor

string

라인 피처의 스트로크 색상입니다.

strokeWidth

integer (int32)

선 획의 너비(픽셀)입니다.

tilejsonKey

string

TileJSON URL을 포함하는 자산 키입니다.

StacMosaic

필터링 기준을 사용하여 명명된 모자이크를 정의합니다.

Name 형식 Description
cql

Cql[]

컬렉션을 moasic으로 필터링하는 데 사용되는 유효한 CQL2-JSON 식 목록입니다.

description

string

모자이크에 대한 자세한 설명입니다.

id

string

minLength: 1
maxLength: 30
pattern: ^(?!\-|_)[a-zA-Z0-9_-]*(?

모자이크의 고유 식별자입니다.

name

string

maxLength: 30

모자이크에 대한 짧은 설명 이름입니다.

StacMosaicConfiguration

데이터 모자이크 시각화를 위한 구성입니다.

Name 형식 Description
defaultCustomQuery

이 컬렉션의 기본값으로 사용할 CQL-JSON 식 목록입니다.

defaultLocation

DefaultLocation

이 컬렉션을 표시할 때의 기본 맵 위치입니다.

mosaics

StacMosaic[]

이 컬렉션에 사용할 수 있는 사전 정의된 데이터 모자이크입니다.

renderOptions

RenderOption[]

데이터 시각화를 위해 사용할 수 있는 렌더 옵션.

TileSettings

맵 타일 시각화를 위한 구성입니다.

Name 형식 Description
defaultLocation

DefaultLocation

이 컬렉션을 표시할 때의 기본 맵 위치입니다.

maxItemsPerTile

integer (int32)

단일 타일에 포함할 최대 항목 수입니다.

minZoom

integer (int32)

maximum: 24

이 컬렉션에 대해 요청할 수 있는 최소 확대/축소 수준입니다. 타일 서버가 낮은 확대/축소 수준에 대한 요청을 받지 않도록 하기 위해 하드 제한을 제공하여 많은 파일을 가져오고 타일 서버가 중단되지 않도록 합니다.

UserCollectionSettings

시각화를 위한 사용자별 컬렉션 설정.

Name 형식 Description
mosaicInfo

StacMosaicConfiguration

데이터 모자이크 시각화에 대한 설정입니다.

tileSettings

TileSettings

맵 타일 시각화를 위한 설정입니다.